curl --request POST \
--url https://api.instantly.ai/api/v2/supersearch-enrichment/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource_id": "01234567-89ab-cdef-0123-456789abcdef"
}
'import requests
url = "https://api.instantly.ai/api/v2/supersearch-enrichment/"
payload = { "resource_id": "01234567-89ab-cdef-0123-456789abcdef" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resource_id: '01234567-89ab-cdef-0123-456789abcdef'})
};
fetch('https://api.instantly.ai/api/v2/supersearch-enrichment/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/supersearch-enrichment/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"resource_id\": \"01234567-89ab-cdef-0123-456789abcdef\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/supersearch-enrichment/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'resource_id' => '01234567-89ab-cdef-0123-456789abcdef'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/supersearch-enrichment/"
payload := strings.NewReader("{\n \"resource_id\": \"01234567-89ab-cdef-0123-456789abcdef\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01234567-89ab-cdef-0123-456789abcdef",
"organization_id": "01234567-89ab-cdef-0123-456789abcdef",
"resource_id": "01234567-89ab-cdef-0123-456789abcdef",
"job_id": "12345",
"limit": 100,
"enrichment_payload": {
"joblisting": true,
"email_verification": true,
"work_email_enrichment": true,
"fully_enriched_profile": true,
"custom_flow": [
"instantly"
]
}
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Create an enrichment
Create an enrichment for a specific resource (list or campaign). This is the main endpoint for adding enrichments to resources. The enrichments are automatically run after creation.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Unique identifier for the resource (list or campaign)
"01234567-89ab-cdef-0123-456789abcdef"
Enrichment type to add to the resource
work_email_enrichment, fully_enriched_profile, email_verification, joblisting, technologies, news, funding, engagement_score, ai_enrichment, custom_flow "email_verification"
Maximum number of leads to enrich.
1 <= x <= 50000100
Filters to apply to the enrichment
Custom flow to apply to the enrichment
Provider-keyed integration actions to run against the resource. Mutually exclusive with type — either run a built-in enrichment via type or supply integration_actions to run one or more provider actions. Outer keys are provider IDs (e.g. findymail, apify); inner keys are action IDs offered by that provider (e.g. findymail_find_email). Each action requires a mapping object whose keys are the action's declared input fields and whose values are the lead column names to read from.
Show child attributes
Show child attributes
{ "findymail": { "findymail_find_email": { "mapping": { "first_name": "firstName", "last_name": "lastName", "domain": "website" } } } }
Response
Default Response
Unique identifier for the enrichment
"01234567-89ab-cdef-0123-456789abcdef"
Organization ID that created this enrichment
"01234567-89ab-cdef-0123-456789abcdef"
Unique identifier for the entity to enrich leads into
"01234567-89ab-cdef-0123-456789abcdef"
Identifier of the enrichment job scheduled by this request. null when no job was scheduled.
"12345"
The maximum number of leads to enrich
100
The enrichment configuration payload
Show child attributes
Show child attributes